Bug 1310596 - (CVE-2016-0705) CVE-2016-0705 OpenSSL: Double-free in DSA code
CVE-2016-0705 OpenSSL: Double-free in DSA code
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160218,reported=2...
: Security
Depends On: 1331754 1301849 1301850 1301851 1301852 1312860 1312861 1312862 1313535 1313595 1313598
Blocks: 1301847 1395463
  Show dependency treegraph
 
Reported: 2016-02-22 05:31 EST by Huzaifa S. Sidhpurwala
Modified: 2017-01-19 01:55 EST (History)
26 users (show)

See Also:
Fixed In Version: openssl 1.0.1s, openssl 1.0.2g
Doc Type: Bug Fix
Doc Text:
A double-free flaw was found in the way OpenSSL parsed certain malformed DSA (Digital Signature Algorithm) private keys. An attacker could create specially crafted DSA private keys that, when processed by an application compiled against OpenSSL, could cause the application to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (1.61 KB, patch)
2016-02-22 12:32 EST, Adam Mariš
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-02-22 05:31:19 EST
As per Upstream advisory:

A double free bug was discovered when OpenSSL parses malformed DSA private keys and could lead to a DoS attack or memory corruption for applications that receive DSA private keys from untrusted sources.  This scenario is considered rare.

This issue affects OpenSSL versions 1.0.2 and 1.0.1.

OpenSSL 1.0.2 users should upgrade to 1.0.2g
OpenSSL 1.0.1 users should upgrade to 1.0.1s

This issue was reported to OpenSSL on 7th February 2016 by Adam Langley (Google/BoringSSL) using libFuzzer. The fix was developed by Dr Stephen Henson of OpenSSL.
Comment 1 Adam Mariš 2016-02-22 12:32 EST
Created attachment 1129420 [details]
Upstream patch
Comment 4 Martin Prpič 2016-02-29 07:08:08 EST
Public via:

Upstream patch:

http://git.openssl.org/?p=openssl.git;a=commitdiff;h=ab4a81f69ec88d06c9d8de15326b9296d7f498ed
Comment 5 Martin Prpič 2016-02-29 07:10:16 EST
Created openssl101e tracking bugs for this issue:

Affects: epel-5 [bug 1312862]
Comment 6 Martin Prpič 2016-02-29 07:10:21 EST
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1312860]
Comment 7 Martin Prpič 2016-02-29 07:10:26 EST
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1312861]
Comment 8 Martin Prpič 2016-02-29 07:27:38 EST
Acknowledgments:

Name: the OpenSSL project
Upstream: Adam Langley (Google/BoringSSL)
Comment 9 errata-xmlrpc 2016-03-01 11:09:19 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0301 https://rhn.redhat.com/errata/RHSA-2016-0301.html
Comment 13 Fedora Update System 2016-03-03 15:22:41 EST
openssl-1.0.2g-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 errata-xmlrpc 2016-03-09 09:49:22 EST
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6
  RHEV-H and Agents for RHEL-7

Via RHSA-2016:0379 https://rhn.redhat.com/errata/RHSA-2016-0379.html
Comment 15 Fedora Update System 2016-03-13 05:51:56 EDT
openssl-1.0.1k-14.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-03-17 14:24:40 EDT
openssl101e-1.0.1e-7.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 errata-xmlrpc 2016-12-15 17:15:41 EST
This issue has been addressed in the following products:



Via RHSA-2016:2957 https://rhn.redhat.com/errata/RHSA-2016-2957.html

Note You need to log in before you can comment on or make changes to this bug.